Bug 1652970 - [machines] cockpit unable to remove disks from remove VM
Summary: [machines] cockpit unable to remove disks from remove VM
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: cockpit-appstream
Version: 8.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: 8.0
Assignee: Katerina Koukiou
QA Contact: qe-baseos-daemons
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-23 18:21 UTC by Sterling Alexander
Modified: 2019-02-16 03:17 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-26 12:36:29 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)

Description Sterling Alexander 2018-11-23 18:21:25 UTC
Description of problem:  When adding a disk using the cockpit-machines UI, it is not possible to remove the disk.  The machine needs to be destroyed or the XML edited manually


Version-Release number of selected component (if applicable):


How reproducible:  100% of the time, every time


Steps to Reproduce:
1.  Add a disk using cockpit-machines
2.  Shut down the VM
3.  There is no way to remove the disk

Actual results:  Disk is not removable using the UI


Expected results:  The disk can be removed


Additional info:

Comment 1 Katerina Koukiou 2018-11-26 08:19:29 UTC
Alexander which version of cockpit are you using? The feature to detach disks was introduced in cockpit 179. Also it's only available if libvirt-dbus package is installed.

Comment 2 Sterling Alexander 2018-11-26 12:36:29 UTC
Katerina,

Thanks for the pointer, I had been unable to find anything in the beta documentation regarding the need for that specific package.  I will write an article for the knowledge base.

After installation, I tested the feature and it works.

Sterling

Comment 3 Katerina Koukiou 2018-11-26 12:46:19 UTC
@Alexander So in rhel-beta there is cockpit-machines-180 and at that version we were not requiring the libvirt-dbus package. From 181 release and afterwards it's a required dependency for cockpit-machines, so user should not be bothered to installed it separately.

Comment 4 Sterling Alexander 2018-11-26 12:52:58 UTC
Katerina,

Thanks for that, no need for an additional knowledge article then.

Sterling


Note You need to log in before you can comment on or make changes to this bug.